### Method

# Malcontent SessionLimitsBuilder set_daily_schedule

since: 0.14.0

#### Declaration [src]

    void
    mct_session_limits_builder_set_daily_schedule (
      MctSessionLimitsBuilder* builder,
      gboolean enforced,
      guint start_time_secs,
      guint end_time_secs
    )

#### Description [src]

Set the session limits in `builder` to be a daily schedule, where sessions are allowed between `start_time_secs` and `end_time_secs` every day.

`start_time_secs` and `end_time_secs` are given as offsets from the start of the day, in seconds. `end_time_secs` must be greater than `start_time_secs`. `end_time_secs` must be at most `24 * 60 * 60`.

This will act in addition to any other session limits.

Available since: 0.14.0

#### Parameters

`enforced`

  Type: `gboolean`

  True if the limit type is to be enforced, false if the value is just being stored for future use without being enforced.

`start_time_secs`

  Type: `guint`

  Number of seconds since midnight when the user’s session can first start.

`end_time_secs`

  Type: `guint`

  Number of seconds since midnight when the user’s session can last end.